"use client"
import { useDispatch } from "react-redux";
import Styles from "../header.module.css"
import { setLang } from "@/lib/features/selectLanguage/selectLanguage";
import i18n from "@/i18n";
import { useTranslation } from "react-i18next";
function Flag({returnedIcon}) {

    const data = [{
        title:"English",
        icon:<svg  xmlns="http://www.w3.org/2000/svg" width="20" height="19" viewBox="0 0 20 19" fill="none">
        <path d="M0 0H20V18.1988H0V0Z" fill="#012169"/>
        <path d="M2.34375 0L9.96875 6.86247L17.5625 0H20V2.35068L12.5 9.13733L20 15.8861V18.1988H17.5L10 11.4122L2.53125 18.1988H0V15.924L7.46875 9.17524L0 2.42651V0H2.34375Z" fill="white"/>
        <path d="M13.25 10.6539L20 16.6823V18.1988L11.5312 10.6539H13.25ZM7.5 11.4122L7.6875 12.7392L1.6875 18.1988H0L7.5 11.4122ZM20 0V0.113743L12.2188 7.24162L12.2812 5.57339L18.4375 0H20ZM0 0L7.46875 6.6729H5.59375L0 1.5924V0Z" fill="#C8102E"/>
        <path d="M7.53125 0V18.1988H12.5312V0H7.53125ZM0 6.06628V12.1326H20V6.06628H0Z" fill="white"/>
        <path d="M0 7.31744V10.9572H20V7.31744H0ZM8.53125 0V18.1988H11.5312V0H8.53125Z" fill="#C8102E"/>
        </svg>,
        code :"en"
    },{
        title:"العربية",
        icon:<svg xmlns="http://www.w3.org/2000/svg" width="20" height="14" viewBox="0 0 20 14" fill="none">
        <path d="M0 0H20V4.63768H0V0Z" fill="#00732F"/>
        <path d="M0 4.6377H20V9.27538H0V4.6377Z" fill="white"/>
        <path d="M0 9.27527H20V13.9129H0V9.27527Z" fill="black"/>
        <path d="M0 0H6.875V13.913H0V0Z" fill="#FF0000"/>
        </svg>,
        code :"ar"
    }]
    const dispatch = useDispatch()
    const changeLang = (code,icon)=>{
        dispatch(setLang(code))
        localStorage.setItem("lang",code)
        i18n.changeLanguage(code)
    }
    const {t} = useTranslation()
    return (  <ul>
         
        {data.map((e,i)=>{
            return<li onClick={()=>changeLang(e.code,e.icon)} key={`calendar_${i}_${e.title}`} className={`flex gap-2 py-2 radius-less px-1 font-size-xs ${Styles.hover} `}>
                <div className="flex items-center justify-center">
                    <span >
                        {e.icon}
                    </span>
                </div>
                <div>
                {e.title}
                </div>
                
            
            
        </li>
        })}
        
    </ul>);
}

export default Flag;